"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const i18next_1 = require("i18next");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const existsDirectory_1 = tslib_1.__importDefault(require("./existsDirectory"));
/** Gets a directory from user input. */
const getDirectory = async (message) => {
    const answers = await inquirer_1.default.prompt({
        message,
        name: 'directory',
        type: 'input',
        default: './',
        validate: async (directory) => {
            const exists = await (0, existsDirectory_1.default)(path.resolve(directory));
            if (!exists) {
                return (0, i18next_1.t)('domain.directory.was_not_found', {
                    directory
                });
            }
            return true;
        }
    });
    return path.resolve(answers.directory);
};
exports.default = getDirectory;
//# sourceMappingURL=getDirectory.js.map