"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** Resolves any value to an 'Error' instance. */
const resolveToError = (value) => {
    if (value instanceof Error)
        return value;
    const error = new Error(typeof value === 'string'
        ? value
        : `Unknown error "${value}"`);
    // @ts-expect-error 'cause' is a valid property of 'Error' in es2022 and
    // doesn't break outdated versions.
    error.cause = value;
    return error;
};
exports.default = resolveToError;
//# sourceMappingURL=resolveToError.js.map