"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const isomorphic_git_1 = tslib_1.__importDefault(require("isomorphic-git"));
const node_1 = tslib_1.__importDefault(require("isomorphic-git/http/node"));
const error_1 = require("../error");
/** Validates received git repository URL by trying to get its remote info. */
const validateGitRepositoryURL = async (url) => {
    try {
        await isomorphic_git_1.default.getRemoteInfo2({
            url,
            http: node_1.default
        });
        return null;
    }
    catch (error) {
        return (0, error_1.resolveToError)(error);
    }
};
exports.default = validateGitRepositoryURL;
//# sourceMappingURL=validateGitRepositoryURL.js.map