"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const terminalHelpers_1 = require("./terminalHelpers");
const picocolors_1 = tslib_1.__importDefault(require("picocolors"));
const path_1 = tslib_1.__importDefault(require("path"));
const copyEnv = async (vsfDirName, magentoDomain) => {
    try {
        await fs_1.default.copyFileSync(path_1.default.join(vsfDirName, '.env.example'), path_1.default.join(vsfDirName, '.env'));
        if (magentoDomain) {
            const envFile = await fs_1.default.readFileSync(path_1.default.join(vsfDirName, '.env'), 'utf8');
            const result = envFile.replace(/{YOUR_SITE_FRONT_URL}/g, magentoDomain.replace(/\/$/, ''));
            fs_1.default.writeFileSync(path_1.default.join(vsfDirName, '.env'), result, 'utf8');
        }
    }
    catch (error) {
        (0, terminalHelpers_1.simpleLog)('No .env file available. Please check that your git repository is a valid Vue Storefront project', picocolors_1.default.red);
        process.exit(1);
    }
    fs_1.default.rmdirSync(path_1.default.join(vsfDirName, '.env.example'));
};
exports.default = copyEnv;
//# sourceMappingURL=copyEnv.js.map