"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const i18next_1 = require("i18next");
const prompts_1 = require("@clack/prompts");
const terminalHelpers_1 = require("../functions/terminalHelpers");
/** Pormpt user is they have Magento 2 keys */
const isMagentoKeys = async (message) => {
    const hasMagentoAccessKeys = await (0, prompts_1.confirm)({
        message,
        initialValue: true
    });
    if ((0, prompts_1.isCancel)(hasMagentoAccessKeys)) {
        (0, terminalHelpers_1.logSimpleWarningMessage)((0, i18next_1.t)('command.generate_store.message.canceled'));
        process.exit(0);
    }
    return hasMagentoAccessKeys;
};
exports.default = isMagentoKeys;
//# sourceMappingURL=isMagentoKeys.js.map