"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const i18next_1 = require("i18next");
// import inquirer from 'inquirer';
const reasonable_filename_1 = tslib_1.__importDefault(require("reasonable-filename"));
const formatToProjectName_1 = tslib_1.__importDefault(require("./formatToProjectName"));
const prompts_1 = require("@clack/prompts");
const terminalHelpers_1 = require("../magento2/functions/terminalHelpers");
const getProjectName = async (message) => {
    const projectName = await (0, prompts_1.text)({
        message,
        validate: (value) => {
            if (!(value === null || value === void 0 ? void 0 : value.trim())) {
                return (0, i18next_1.t)('domain.project_name.is_empty');
            }
            if (!(0, reasonable_filename_1.default)(value)) {
                return (0, i18next_1.t)('domain.project_name.is_not_directory');
            }
        }
    });
    if ((0, prompts_1.isCancel)(projectName)) {
        (0, terminalHelpers_1.logSimpleWarningMessage)((0, i18next_1.t)('command.generate_store.message.canceled'));
        process.exit(0);
    }
    return (0, formatToProjectName_1.default)(projectName);
};
exports.default = getProjectName;
//# sourceMappingURL=getProjectName.js.map