"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupI18Next = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const i18next_1 = tslib_1.__importDefault(require("i18next"));
const i18next_fs_backend_1 = tslib_1.__importDefault(require("i18next-fs-backend"));
const os_locale_1 = tslib_1.__importDefault(require("os-locale"));
const setupI18Next = async () => {
    await i18next_1.default.use(i18next_fs_backend_1.default).init({
        backend: {
            loadPath: path_1.default.resolve(__dirname, '../../locales/{{lng}}/{{ns}}.json')
        },
        fallbackLng: 'en-US',
        interpolation: {
            // Escaping is only required to prevent XSS attacks in the front-end
            escapeValue: false
        },
        lng: await (0, os_locale_1.default)()
    });
};
exports.setupI18Next = setupI18Next;
//# sourceMappingURL=i18next.js.map